<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="fcbdd522f3c413ce">
        <source>Examples</source>
        <target state="translated">示例</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">10</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3b0cbf4ec182b5db">
        <source>Source code and build scripts for these programs are located in the [path_link example example] directory.</source>
        <target state="translated">这些程序的源码和编译脚本存放在 [path_link example example] 目录里。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">13</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="26598295302fedb5">
        <source>Clients</source>
        <target state="translated">客户端</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">18</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6befe9eaae7499dc">
        <source>These HTTP clients submit a GET request to a server specified on the command line, and prints the resulting response. The crawl client asynchronously fetches the document root of the 10,000 top ranked domains, this may be used to evaluate robustness. All asynchronous clients support timeouts.</source>
        <target state="translated">这些 HTTP 客户端会向命令行指定的服务器发送 GET 请求，并输出返回结果。爬取客户端会异步抓取排名前 10000 的站点的文档根目录，可用于评估程序的健壮性。所有异步客户端都支持超时设置。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">20</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25">
        <source>HTTP, synchronous</source>
        <target state="translated">HTTP 同步</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8fd20397e7bf7eeb">
        <source>[path_link example/http/client/sync/http_client_sync.cpp http_client_sync.cpp]</source>
        <target state="translated">[path_link example/http/client/sync/http_client_sync.cpp http_client_sync.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ef979f67f54b0c1d">
        <source>[path_link example/http/client/sync-ssl/http_client_sync_ssl.cpp http_client_sync_ssl.cpp]</source>
        <target state="translated">[path_link example/http/client/sync-ssl/http_client_sync_ssl.cpp http_client_sync_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25">
        <source>HTTP, asynchronous</source>
        <target state="translated">HTTP 异步</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0d72a305bc19ce31">
        <source>[path_link example/http/client/async/http_client_async.cpp http_client_async.cpp]</source>
        <target state="translated">[path_link example/http/client/async/http_client_async.cpp http_client_async.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="180996947bdafb3e">
        <source>[path_link example/http/client/async-ssl/http_client_async_ssl.cpp http_client_async_ssl.cpp]</source>
        <target state="translated">[path_link example/http/client/async-ssl/http_client_async_ssl.cpp http_client_async_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25">
        <source>HTTP, asynchronous Unix domain sockets</source>
        <target state="translated">HTTP 异步 Unix 域套接字</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cd29a99aaa364ff7">
        <source>[path_link example/http/client/async-local/http_client_async_local.cpp http_client_async_local.cpp]</source>
        <target state="translated">[path_link example/http/client/async-local/http_client_async_local.cpp http_client_async_local.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="16cd28859fb9c89e">
        <source>HTTP, asynchronous using __system_executor__</source>
        <target state="translated">使用 __system_executor__ 的 HTTP 异步模式</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="812fe4fd21cf8e6e">
        <source>[path_link example/http/client/async-ssl-system-executor/http_client_async_ssl_system_executor.cpp http_client_async_ssl_system_executor.cpp]</source>
        <target state="translated">[path_link example/http/client/async-ssl-system-executor/http_client_async_ssl_system_executor.cpp http_client_async_ssl_system_executor.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25">
        <source>HTTP, coroutine</source>
        <target state="translated">HTTP 协程</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d8f31547ec586fca">
        <source>[path_link example/http/client/coro/http_client_coro.cpp http_client_coro.cpp]</source>
        <target state="translated">[path_link example/http/client/coro/http_client_coro.cpp http_client_coro.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9e9ef4aa49bebcab">
        <source>[path_link example/http/client/coro-ssl/http_client_coro_ssl.cpp http_client_coro_ssl.cpp]</source>
        <target state="translated">[path_link example/http/client/coro-ssl/http_client_coro_ssl.cpp http_client_coro_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b7b92a769b276f8c">
        <source>HTTP, C++20 coroutine</source>
        <target state="translated">HTTP C++20 协程</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1a0634fa5048c967">
        <source>[path_link example/http/client/awaitable/http_client_awaitable.cpp http_client_awaitable.cpp]</source>
        <target state="translated">[path_link example/http/client/awaitable/http_client_awaitable.cpp http_client_awaitable.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a0817c4032626932">
        <source>[path_link example/http/client/awaitable-ssl/http_client_awaitable_ssl.cpp http_client_awaitable_ssl.cpp]</source>
        <target state="translated">[path_link example/http/client/awaitable-ssl/http_client_awaitable_ssl.cpp http_client_awaitable_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="23ba197c0ba94260">
        <source>HTTP crawl (asynchronous)</source>
        <target state="translated">HTTP 爬取（异步）</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="178625fbd68a4c49">
        <source>[path_link example/http/client/crawl/http_crawl.cpp http_crawl.cpp]</source>
        <target state="translated">[path_link example/http/client/crawl/http_crawl.cpp http_crawl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2c05033a14374d6b">
        <source>HTTP json_body (synchronous)</source>
        <target state="translated">HTTP json_body（同步）</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4b152437ebaa2926">
        <source>[path_link example/http/client/body/json_body.hpp json_body.hpp] [path_link example/http/client/body/json_client.cpp json_client.cpp]</source>
        <target state="translated">[path_link example/http/client/body/json_body.hpp json_body.hpp] [path_link example/http/client/body/json_client.cpp json_client.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="68edbc9685549001">
        <source>HTTP client for all methods (synchronous)</source>
        <target state="translated">HTTP client for all methods (synchronous)</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ccc6daaef8e6bc33">
        <source>[path_link example/http/client/methods/http_client_methods.cpp http_client_methods.cpp]</source>
        <target state="translated">[path_link example/http/client/methods/http_client_methods.cpp http_client_methods.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">25</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8c03d0ce1888067c">
        <source>These WebSocket clients connect to a server and send a message, then receive a message and print the response before disconnecting. All asynchronous clients support timeouts.</source>
        <target state="translated">这些 WebSocket 客户端会先连接服务器，发一条消息，收到回复后打印结果，最后断开连接。所有异步客户端都支持设置超时时间。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">68</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="72">
        <source>WebSocket, synchronous</source>
        <target state="translated">WebSocket 同步</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6612c94121818e70">
        <source>[path_link example/websocket/client/sync/websocket_client_sync.cpp websocket_client_sync.cpp]</source>
        <target state="translated">[path_link example/websocket/client/sync/websocket_client_sync.cpp websocket_client_sync.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2ab0616f4a182449">
        <source>[path_link example/websocket/client/sync-ssl/websocket_client_sync_ssl.cpp websocket_client_sync_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/client/sync-ssl/websocket_client_sync_ssl.cpp websocket_client_sync_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="72">
        <source>WebSocket, asynchronous</source>
        <target state="translated">WebSocket 异步</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b7fc3f9b8c2c0627">
        <source>[path_link example/websocket/client/async/websocket_client_async.cpp websocket_client_async.cpp]</source>
        <target state="translated">[path_link example/websocket/client/async/websocket_client_async.cpp websocket_client_async.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f30bec7cda187648">
        <source>[path_link example/websocket/client/async-ssl/websocket_client_async_ssl.cpp websocket_client_async_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/client/async-ssl/websocket_client_async_ssl.cpp websocket_client_async_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="72">
        <source>WebSocket, asynchronous Unix domain sockets</source>
        <target state="translated">WebSocket 异步 Unix 域套接字</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4f1d133f73bd6994">
        <source>[path_link example/websocket/client/async-local/websocket_client_async_local.cpp websocket_client_async_local.cpp]</source>
        <target state="translated">[path_link example/websocket/client/async-local/websocket_client_async_local.cpp websocket_client_async_local.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2ceaba369859bac4">
        <source>WebSocket, asynchronous using __system_executor__</source>
        <target state="translated">使用 __system_executor__ 的 WebSocket 异步模式</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="50684af1c415dde4">
        <source>[path_link example/websocket/client/async-ssl-system-executor/websocket_client_async_ssl_system_executor.cpp websocket_client_async_ssl_system_executor.cpp]</source>
        <target state="translated">[path_link example/websocket/client/async-ssl-system-executor/websocket_client_async_ssl_system_executor.cpp websocket_client_async_ssl_system_executor.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="72">
        <source>WebSocket, coroutine</source>
        <target state="translated">WebSocket 协程</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c6a521f7e12d3c36">
        <source>[path_link example/websocket/client/coro/websocket_client_coro.cpp websocket_client_coro.cpp]</source>
        <target state="translated">[path_link example/websocket/client/coro/websocket_client_coro.cpp websocket_client_coro.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="90e547fbebbcbbc3">
        <source>[path_link example/websocket/client/coro-ssl/websocket_client_coro_ssl.cpp websocket_client_coro_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/client/coro-ssl/websocket_client_coro_ssl.cpp websocket_client_coro_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="037208ed5218f3f6">
        <source>WebSocket, C++20 coroutine</source>
        <target state="translated">WebSocket C++20 协程</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7abca7ca06ba5342">
        <source>[path_link example/websocket/client/awaitable/websocket_client_awaitable.cpp websocket_client_awaitable.cpp]</source>
        <target state="translated">[path_link example/websocket/client/awaitable/websocket_client_awaitable.cpp websocket_client_awaitable.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">72</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="aaba7e9c0b328fa3">
        <source>Servers</source>
        <target state="translated">服务器端</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">104</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9e9a7ce48ee6fd54">
        <source>These HTTP servers deliver files from a root directory specified on the command line. All asynchronous servers support timeouts.</source>
        <target state="translated">这些 HTTP 服务器会从命令行指定的根目录中读取文件并提供给客户端。所有异步服务器都支持设置超时时间。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">106</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="109">
        <source>HTTP, synchronous</source>
        <target state="translated">HTTP 同步</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ba4ccd3976d2d60f">
        <source>[path_link example/http/server/sync/http_server_sync.cpp http_server_sync.cpp]</source>
        <target state="translated">[path_link example/http/server/sync/http_server_sync.cpp http_server_sync.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="08e33f9a6ddf864f">
        <source>[path_link example/http/server/sync-ssl/http_server_sync_ssl.cpp http_server_sync_ssl.cpp]</source>
        <target state="translated">[path_link example/http/server/sync-ssl/http_server_sync_ssl.cpp http_server_sync_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="109">
        <source>HTTP, asynchronous</source>
        <target state="translated">HTTP 同步</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b04b14e5f708077a">
        <source>[path_link example/http/server/async/http_server_async.cpp http_server_async.cpp]</source>
        <target state="translated">[path_link example/http/server/async/http_server_async.cpp http_server_async.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cbb3783c4f237aa7">
        <source>[path_link example/http/server/async-ssl/http_server_async_ssl.cpp http_server_async_ssl.cpp]</source>
        <target state="translated">[path_link example/http/server/async-ssl/http_server_async_ssl.cpp http_server_async_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="109">
        <source>HTTP, asynchronous Unix domain sockets</source>
        <target state="translated">HTTP 异步 Unix 域套接字</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="85f0bf43ad02687a">
        <source>[path_link example/http/server/async-local/http_server_async_local.cpp http_server_async_local.cpp]</source>
        <target state="translated">[path_link example/http/server/async-local/http_server_async_local.cpp http_server_async_local.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="109">
        <source>HTTP, coroutine</source>
        <target state="translated">HTTP 协程</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7977031149cf5022">
        <source>[path_link example/http/server/coro/http_server_coro.cpp http_server_coro.cpp]</source>
        <target state="translated">[path_link example/http/server/coro/http_server_coro.cpp http_server_coro.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="807de3c3de5e5319">
        <source>[path_link example/http/server/coro-ssl/http_server_coro_ssl.cpp http_server_coro_ssl.cpp]</source>
        <target state="translated">[path_link example/http/server/coro-ssl/http_server_coro_ssl.cpp http_server_coro_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a57e3c6681293deb">
        <source>HTTP, stackless coroutine</source>
        <target state="translated">HTTP 无栈协程</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="662c18e473ccb7db">
        <source>[path_link example/http/server/stackless/http_server_stackless.cpp http_server_stackless.cpp]</source>
        <target state="translated">[path_link example/http/server/stackless/http_server_stackless.cpp http_server_stackless.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2f6b26b3e34e4ee2">
        <source>[path_link example/http/server/stackless-ssl/http_server_stackless_ssl.cpp http_server_stackless_ssl.cpp]</source>
        <target state="translated">[path_link example/http/server/stackless-ssl/http_server_stackless_ssl.cpp http_server_stackless_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1ac0024cdeb7b12b">
        <source>HTTP, C++ 20 coroutine</source>
        <target state="translated">HTTP C++20 协程</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f9c174b78e96e8a1">
        <source>[path_link example/http/server/awaitable/http_server_awaitable.cpp http_server_awaitable.cpp]</source>
        <target state="translated">[path_link example/http/server/awaitable/http_server_awaitable.cpp http_server_awaitable.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4a463de31750a3df">
        <source>HTTP, fast (optimized for speed)</source>
        <target state="translated">HTTP 快速模式（速度优先）</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="75aa58fc4fd273f4">
        <source>[path_link example/http/server/fast/http_server_fast.cpp http_server_fast.cpp]</source>
        <target state="translated">[path_link example/http/server/fast/http_server_fast.cpp http_server_fast.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a7eb9d6a8f15c1b4">
        <source>HTTP, small (optimized for space)</source>
        <target state="translated">HTTP 精简模式（空间优先）</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="53951468f55f46f8">
        <source>[path_link example/http/server/small/http_server_small.cpp http_server_small.cpp]</source>
        <target state="translated">[path_link example/http/server/small/http_server_small.cpp http_server_small.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b9f86616e3c76845">
        <source>HTTP, flex (plain + SSL)</source>
        <target state="translated">HTTP 灵活模式（普通 + SSL）</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7400eae027c2ed6b">
        <source>[path_link example/http/server/flex/http_server_flex.cpp http_server_flex.cpp]</source>
        <target state="translated">[path_link example/http/server/flex/http_server_flex.cpp http_server_flex.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">109</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="40e08b7c9060686a">
        <source>These WebSocket servers echo back any message received, keeping the session open until the client disconnects. All asynchronous servers support timeouts.</source>
        <target state="translated">这些 WebSocket 服务器会把收到的任何消息原样返回，并且保持会话不断开，直到客户端主动断开为止。所有异步服务器都支持设置超时时间。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">148</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="152">
        <source>WebSocket, synchronous</source>
        <target state="translated">WebSocket 同步</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9b92dbe87c802993">
        <source>[path_link example/websocket/server/sync/websocket_server_sync.cpp websocket_server_sync.cpp]</source>
        <target state="translated">[path_link example/websocket/server/sync/websocket_server_sync.cpp websocket_server_sync.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="50cccea5db7bc6f7">
        <source>[path_link example/websocket/server/sync-ssl/websocket_server_sync_ssl.cpp websocket_server_sync_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/server/sync-ssl/websocket_server_sync_ssl.cpp websocket_server_sync_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="152">
        <source>WebSocket, asynchronous</source>
        <target state="translated">WebSocket 异步</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="879398cdb606cfc1">
        <source>[path_link example/websocket/server/async/websocket_server_async.cpp websocket_server_async.cpp]</source>
        <target state="translated">[path_link example/websocket/server/async/websocket_server_async.cpp websocket_server_async.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="46e2508892b598b3">
        <source>[path_link example/websocket/server/async-ssl/websocket_server_async_ssl.cpp websocket_server_async_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/server/async-ssl/websocket_server_async_ssl.cpp websocket_server_async_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="152">
        <source>WebSocket, asynchronous Unix domain sockets</source>
        <target state="translated">WebSocket 异步 Unix 域套接字</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8bd7ac83b0c32ea0">
        <source>[path_link example/websocket/server/async-local/websocket_server_async_local.cpp websocket_server_async_local.cpp]</source>
        <target state="translated">[path_link example/websocket/server/async-local/websocket_server_async_local.cpp websocket_server_async_local.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="152">
        <source>WebSocket, coroutine</source>
        <target state="translated">WebSocket 协程</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="de4ff465956cd979">
        <source>[path_link example/websocket/server/coro/websocket_server_coro.cpp websocket_server_coro.cpp]</source>
        <target state="translated">[path_link example/websocket/server/coro/websocket_server_coro.cpp websocket_server_coro.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8b44b76dce1e7a64">
        <source>[path_link example/websocket/server/coro-ssl/websocket_server_coro_ssl.cpp websocket_server_coro_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/server/coro-ssl/websocket_server_coro_ssl.cpp websocket_server_coro_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="515fbd6327a502f8">
        <source>WebSocket, stackless coroutine</source>
        <target state="translated">WebSocket 无栈协程</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="eaffebc95dc9d766">
        <source>[path_link example/websocket/server/stackless/websocket_server_stackless.cpp websocket_server_stackless.cpp]</source>
        <target state="translated">[path_link example/websocket/server/stackless/websocket_server_stackless.cpp websocket_server_stackless.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="04be1aa6100f61f0">
        <source>[path_link example/websocket/server/stackless-ssl/websocket_server_stackless_ssl.cpp websocket_server_stackless_ssl.cpp]</source>
        <target state="translated">[path_link example/websocket/server/stackless-ssl/websocket_server_stackless_ssl.cpp websocket_server_stackless_ssl.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f5d603f432cbd739">
        <source>WebSocket, C++ 20 coroutine</source>
        <target state="translated">WebSocket C++20 协程</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="cd11dda7226924ed">
        <source>[path_link example/websocket/server/awaitable/websocket_server_awaitable.cpp websocket_server_awaitable.cpp]</source>
        <target state="translated">[path_link example/websocket/server/awaitable/websocket_server_awaitable.cpp websocket_server_awaitable.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="08c4def3a0064e2a">
        <source>WebSocket, fast (suited for benchmarks)</source>
        <target state="translated">WebSocket 快速模式（适用于基准测试）</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="de1715bc9f9e337d">
        <source>[path_link example/websocket/server/fast/websocket_server_fast.cpp websocket_server_fast.cpp]</source>
        <target state="translated">[path_link example/websocket/server/fast/websocket_server_fast.cpp websocket_server_fast.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">152</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7d440d0cdce84997">
        <source>Servers (Advanced)</source>
        <target state="translated">服务器端（进阶篇）</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">188</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="03f42088f4221cdd">
        <source>These servers offer both HTTP and WebSocket services on the same port, and illustrate the implementation of advanced features.</source>
        <target state="translated">这些服务器在同一端口上同时提供 HTTP 和 WebSocket 服务，并展示了高级功能的实现方式。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">190</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f97927c880adf9d8">
        <source>Advanced</source>
        <target state="translated">进阶篇</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2c5e0ac479855275">
        <source>[itemized_list [Timeouts] [Multi-threaded] [HTTP pipelining] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</source>
        <target state="translated">[itemized_list [Timeouts] [Multi-threaded] [HTTP pipelining] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4207a1be8228902d">
        <source>[path_link example/advanced/server/advanced_server.cpp advanced_server.cpp]</source>
        <target state="translated">[path_link example/advanced/server/advanced_server.cpp advanced_server.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3e6d7b34fbbb5230">
        <source>Advanced, flex (plain + SSL)</source>
        <target state="translated">进阶篇，灵活模式（普通 + SSL）</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6e511ff590174e0f">
        <source>[itemized_list [Timeouts] [Multi-threaded] [HTTP pipelining] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Flexible ports: plain and SSL on the same port] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</source>
        <target state="translated">[itemized_list [Timeouts] [Multi-threaded] [HTTP pipelining] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Flexible ports: plain and SSL on the same port] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b1d520c6054e3ffb">
        <source>[path_link example/advanced/server-flex/advanced_server_flex.cpp advanced_server_flex.cpp]</source>
        <target state="translated">[path_link example/advanced/server-flex/advanced_server_flex.cpp advanced_server_flex.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="be667d3eb9831319">
        <source>Advanced, flex (plain + SSL) with awaitable</source>
        <target state="translated">进阶篇，灵活模式（普通 + SSL）支持可等待操作</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0f83987664caccc9">
        <source>[itemized_list [Timeouts] [Multi-threaded] [HTTP pipelining] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Flexible ports: plain and SSL on the same port] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] [Usage of cancellation_signals] ]</source>
        <target state="translated">[itemized_list [Timeouts] [Multi-threaded] [HTTP pipelining] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Flexible ports: plain and SSL on the same port] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] [Usage of cancellation_signals] ]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="238994e38b52af71">
        <source>[path_link example/advanced/server-flex-awaitable/advanced_server_flex_awaitable.cpp advanced_server_flex_awaitable.cpp]</source>
        <target state="translated">[path_link example/advanced/server-flex-awaitable/advanced_server_flex_awaitable.cpp advanced_server_flex_awaitable.cpp]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="95b39f6f2af6faf6">
        <source>Chat Server, multi-threaded</source>
        <target state="translated">聊天服务器，多线程版</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="dbcb0e74b2d2a42d">
        <source>[itemized_list [Multi-threaded] [Broadcasting Messages] [Multi-user Chat Server] [JavaScript Browser Client] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</source>
        <target state="translated">[itemized_list [Multi-threaded] [Broadcasting Messages] [Multi-user Chat Server] [JavaScript Browser Client] [Parser-oriented HTTP reading] [Dual protocols: HTTP and WebSocket] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="193">
        <source>[path_link example/websocket/server/chat-multi chat-multi]</source>
        <target state="translated">[path_link example/websocket/server/chat-multi chat-multi]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">193</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="83ba114f354ee485">
        <source>Chat Server __video__</source>
        <target state="translated">聊天服务器 __视频__</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">249</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f22bd3644dd87c1e">
        <source>This example demonstrates a websocket chat server, allowing multiple users to connect and participate in live, group messaging. It comes with a tiny front end implemented in JavaScript and HTML5 which runs in any browser. The example is accompanied by a one hour presentation which provides a discussion of networking concepts, followed by in-depth explanation of how the client and server are constructed. This talk was delivered at [@https://cppcon.org CppCon 2018]. The source code in the Beast example contains improvements to the original program.</source>
        <target state="translated">这个示例展示了一个 WebSocket 聊天服务器，支持多个用户同时连接并参与实时群聊。它附带了一个用 JavaScript 和 HTML5 实现的小型前端界面，可以在任意浏览器中运行。该示例还配有一小时的演讲视频，内容包括网络概念讲解，以及客户端和服务器实现细节的深度剖析。该演讲于 [@https://cppcon.org CppCon 2018] 上发布。Beast 示例中的源码相比原始程序有所改进。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">251</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="56bf562b0d3c53e3">
        <source>Chat WebSocket Server and JavaScript Client</source>
        <target state="translated">WebSocket 聊天服务器与 JavaScript 客户端</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25c3e74edddbe2ff">
        <source>Component</source>
        <target state="translated">组件</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="26fc2962230d3dae">
        <source>Features</source>
        <target state="translated">特性</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5e630bbbaf0a5c6b">
        <source>Sources</source>
        <target state="translated">源码</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ab67d385f0764bf5">
        <source>Server</source>
        <target state="translated">服务器</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3bb8b9b1243aa005">
        <source>[itemized_list [C++] [Timeouts] [Multi-threaded] [Broadcast to multiple peers] [Dual protocols: HTTP and WebSocket] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</source>
        <target state="translated">[itemized_list [C++] [Timeouts] [Multi-threaded] [Broadcast to multiple peers] [Dual protocols: HTTP and WebSocket] [Clean exit via SIGINT (CTRL+C) or SIGTERM (kill)] ]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="260">
        <source>[path_link example/websocket/server/chat-multi chat-multi]</source>
        <target state="translated">[path_link example/websocket/server/chat-multi chat-multi]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ff5102bf39930022">
        <source>Client</source>
        <target state="translated">客户端</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e9cb54ea1b1d7b2a">
        <source>[itemized_list [JavaScript / HTML5] [Runs in the browser] [Delivered by the server] [Only 60 lines total including UI] [Completely portable graphics] ]</source>
        <target state="translated">[itemized_list [JavaScript / HTML5] [Runs in the browser] [Delivered by the server] [Only 60 lines total including UI] [Completely portable graphics] ]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="60c60970a9cce2e5">
        <source>[path_link example/websocket/server/chat-multi/chat_client.html chat_client.html]</source>
        <target state="translated">[path_link example/websocket/server/chat-multi/chat_client.html chat_client.html]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">260</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
    </body>
  </file>
</xliff>
